TransfStep
Keywords: uk.ac.bbk.dcs.automed.dataWarehousing.dlt.TransfStep class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.dataWarehousing.dlt
Class TransfStep

    java.lang.Object
      uk.ac.bbk.dcs.automed.dataWarehousing.dlt.TransfStep

    public class TransfStep

extends java.lang.Object

Write a description of class TransformationStep here.

Author:
  (Hao fan)

Constructor Summary
`TransfStep()` Constructor for objects of class TransformationStep
`TransfStep(java.lang.String a, java.lang.String q, java.util.ArrayList s, boolean[] vs, java.lang.String r, boolean vr, boolean isS)`
`TransfStep(Transformation tsf)`

Method Summary
`java.lang.String` | `getAction()`
`java.util.ArrayList` | `getMaterializedSource()`
`java.lang.String` | `getQuery()`
`java.lang.String` | `getResult()`
`java.util.ArrayList` | `getSimpleTransfSteps(Schema s1, Schema s2)`
`java.util.ArrayList` | `getSimpleTransfSteps(java.lang.String s1Name, java.lang.String s2Name)`
`java.util.ArrayList` | `getSources()`
`java.util.ArrayList` | `getSubQueries()`
`java.util.ArrayList` | `getSubSteps()`
`java.util.ArrayList` | `getTransfSteps(Schema s1, Schema s2)`
`java.util.ArrayList` | `getTransfSteps(java.lang.String s1Name, java.lang.String s2Name)`
`java.util.ArrayList` | `getVirtualSource()`
`boolean[]` | `getvSources()`
`boolean` | `isSIQL()`
`boolean` | `isvResult()`
`static void` | `main(java.lang.String[] args)`
`void` | `showStep()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransfStep

    public TransfStep()

  Constructor for objects of class TransformationStep

### TransfStep

    public TransfStep(java.lang.String a,
                      java.lang.String q,
                      java.util.ArrayList s,
                      boolean[] vs,
                      java.lang.String r,
                      boolean vr,
                      boolean isS)

### TransfStep

    public TransfStep(Transformation tsf)
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getTransfSteps

    public java.util.ArrayList getTransfSteps(java.lang.String s1Name,
                                              java.lang.String s2Name)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSimpleTransfSteps

    public java.util.ArrayList getSimpleTransfSteps(java.lang.String s1Name,
                                                    java.lang.String s2Name)
                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getSimpleTransfSteps

    public java.util.ArrayList getSimpleTransfSteps(Schema s1,
                                                    Schema s2)
                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getTransfSteps

    public java.util.ArrayList getTransfSteps(Schema s1,
                                              Schema s2)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getAction

    public java.lang.String getAction()

### getQuery

    public java.lang.String getQuery()

### getResult

    public java.lang.String getResult()

### getSources

    public java.util.ArrayList getSources()

### getVirtualSource

    public java.util.ArrayList getVirtualSource()

### getMaterializedSource

    public java.util.ArrayList getMaterializedSource()

### getSubSteps

    public java.util.ArrayList getSubSteps()

### getSubQueries

    public java.util.ArrayList getSubQueries()

### isSIQL

    public boolean isSIQL()

### isvResult

    public boolean isvResult()

### getvSources

    public boolean[] getvSources()

### showStep

    public void showStep()

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD